gexbot api
classic

gex max change

Contains the strikes with the most significant GEX change over various lookback periods (current, 1, 5, 10, 15, and 30 minutes). Also known as "max priors".

GET/{TICKER}/classic/{AGGREGATION_PERIOD}/maxchangeClassic Tier

chart

Powers the gexbot classic chart.

Contains the strikes with the most significant GEX change over various lookback periods (current, 1, 5, 10, 15, and 30 minutes). Also known as "max priors".

Subscription

Requires a Classic subscription or higher.

Request

Example: /SPX/classic/full/maxchange

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescription
TICKERstringDesired ticker symbol (e.g., SPX).
AGGREGATION_PERIODstringAggregation period: full, zero, or one.

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
currentarrayThe strike and GEX value with the largest change in the last calculation cycle.
onearrayThe strike and GEX value with the largest change in the last 1 minute.
fivearrayThe strike and GEX value with the largest change in the last 5 minutes.
tenarrayThe strike and GEX value with the largest change in the last 10 minutes.
fifteenarrayThe strike and GEX value with the largest change in the last 15 minutes.
thirtyarrayThe strike and GEX value with the largest change in the last 30 minutes.
{
  "timestamp": 1753283592,
  "ticker": "SPX",
  "current": [
    6325,
    -1567.937
  ],
  "one": [
    6340,
    -1997.391
  ],
  "five": [
    6340,
    -2542.092
  ],
  "ten": [
    6315,
    -2920.413
  ],
  "fifteen": [
    6330,
    4320.937
  ],
  "thirty": [
    6340,
    8553.528
  ]
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "current": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "one": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "five": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "ten": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "fifteen": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "thirty": {
      "type": "array",
      "items": {
        "type": "number"
      }
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  current:
    type: array
    items:
      type: number
  one:
    type: array
    items:
      type: number
  five:
    type: array
    items:
      type: number
  ten:
    type: array
    items:
      type: number
  fifteen:
    type: array
    items:
      type: number
  thirty:
    type: array
    items:
      type: number
additionalProperties: false

On this page